# Uses of Class
org.eclipse.mat.parser.io.SimpleBufferedRandomAccessInputStream

Packages that use SimpleBufferedRandomAccessInputStream
Package
Description
org.eclipse.mat.parser.index
Implementations for handling indexes.

## Uses of SimpleBufferedRandomAccessInputStream in org.eclipse.mat.parser.index

Fields in org.eclipse.mat.parser.index declared as SimpleBufferedRandomAccessInputStream
Modifier and Type
Field
Description
`SimpleBufferedRandomAccessInputStream`
IndexReader.IntIndexReader.`in`
For use reading the actual index file
Constructors in org.eclipse.mat.parser.index with parameters of type SimpleBufferedRandomAccessInputStream
Modifier
Constructor
Description
``
`IntIndexReader(SimpleBufferedRandomAccessInputStream in, long start, long length)`